<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClientRewardHistory extends BaseModel
{
    use HasFactory;

    protected $guarded = [];
    protected $table = 'client_reward_history';

    public function client()
    {
        return $this->belongsTo(Client::class, 'client_id');
    }

    public function warehouse()
    {
        return $this->belongsTo(Warehouse::class, 'warehouse_id');
    }

    public function salesMaster()
    {
        return $this->belongsTo(SalesMaster::class, 'sales_master_id');
    }
}
